image: alpine/edge
oauth: pages.sr.ht/PAGES:RW
packages:
- hut
- linux-headers
- ruby-dev
- ruby-json
- ruby-jekyll
- ruby-bundler
tasks:
- package: |
    export JEKYLL_ENV="production"
    cd web
    bundle config set --local path ".bundler"
    bundle install
    bundle exec jekyll build
    tar -C _site -cvz . > ../site.tar.gz
- upload: |
    hut pages publish -d tflc.us site.tar.gz
